- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties | Friends

# QGraphicsEffect Class Reference

Search for all occurrences

## Detailed Description

Definition at line 66 of file qgraphicseffect.h.

`#include <qgraphicseffect.h>`

Inheritance diagram for QGraphicsEffect:
[legend]

List of all members.

## Public Types
enum | ChangeFlag { SourceAttached = 0x1, SourceDetached = 0x2, SourceBoundingRectChanged = 0x4, SourceInvalidated = 0x8 }
enum | PixmapPadMode { NoPad, PadToTransparentBorder, PadToEffectiveBoundingRect }
## Public Slots
void | setEnabled (bool enable)
void | update ()
## Signals
void | enabledChanged (bool enabled)
## Public Member Functions
| QGraphicsEffect (QObject *parent=0)
virtual | ~QGraphicsEffect ()
virtual QRectF | boundingRectFor (const QRectF &sourceRect) const
QRectF | boundingRect () const
bool | isEnabled () const
QGraphicsEffectSource * | source () const
## Protected Member Functions
| QGraphicsEffect (QGraphicsEffectPrivate &d, QObject *parent=0)
virtual void | draw (QPainter *painter)=0
virtual void | sourceChanged (ChangeFlags flags)
void | updateBoundingRect ()
bool | sourceIsPixmap () const
QRectF | sourceBoundingRect (Qt::CoordinateSystem system=Qt::LogicalCoordinates) const
void | drawSource (QPainter *painter)
QPixmap | sourcePixmap (Qt::CoordinateSystem system=Qt::LogicalCoordinates, QPoint *offset=0, PixmapPadMode mode=PadToEffectiveBoundingRect) const
## Properties
bool | enabled
## Friends
class | QGraphicsItem
class | QGraphicsItemPrivate
class | QGraphicsScenePrivate
class | QWidget
class | QWidgetPrivate

## Member Enumeration Documentation

enum ChangeFlag

Search for all occurrences

Enumerator:

  SourceAttached | Search for all occurrences
  SourceDetached | Search for all occurrences
  SourceBoundingRectChanged | Search for all occurrences
  SourceInvalidated | Search for all occurrences

Definition at line 72 of file qgraphicseffect.h.

                        {
            SourceAttached = 0x1,
            SourceDetached = 0x2,
            SourceBoundingRectChanged = 0x4,
            SourceInvalidated = 0x8
        };

enum PixmapPadMode

Search for all occurrences

Enumerator:

  NoPad | Search for all occurrences
  PadToTransparentBorder | Search for all occurrences
  PadToEffectiveBoundingRect | Search for all occurrences

Definition at line 80 of file qgraphicseffect.h.

                           {
            NoPad,
            PadToTransparentBorder,
            PadToEffectiveBoundingRect
        };

## Constructor & Destructor Documentation

QGraphicsEffect | ( | QObject * | parent = `0` | ) |

virtual ~QGraphicsEffect | ( |  | ) | `[virtual]`

QGraphicsEffect | ( | QGraphicsEffectPrivate & | d,
|  | QObject * | parent = `0`
| ) |  | `[protected]`

## Member Function Documentation

virtual QRectF boundingRectFor | ( | const QRectF & | sourceRect | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QGraphicsBlurEffect, and QGraphicsDropShadowEffect.

QRectF boundingRect | ( |  | ) | const

Search for all occurrences

bool isEnabled | ( |  | ) | const

Search for all occurrences

void setEnabled | ( | bool | enable | ) | `[slot]`

Search for all occurrences

void update | ( |  | ) | `[slot]`

Search for all occurrences

void enabledChanged | ( | bool | enabled | ) | `[signal]`

Search for all occurrences

virtual void draw | ( | QPainter * | painter | ) | `[protected, pure virtual]`

Search for all occurrences

Implemented in QGraphicsColorizeEffect, QGraphicsBlurEffect, QGraphicsDropShadowEffect, and QGraphicsOpacityEffect.

virtual void sourceChanged | ( | ChangeFlags | flags | ) | `[protected, virtual]`

Search for all occurrences

void updateBoundingRect | ( |  | ) | `[protected]`

Search for all occurrences

bool sourceIsPixmap | ( |  | ) | const `[protected]`

Search for all occurrences

QRectF sourceBoundingRect | ( | Qt::CoordinateSystem | system = `Qt::LogicalCoordinates` | ) | const `[protected]`

Search for all occurrences

void drawSource | ( | QPainter * | painter | ) | `[protected]`

Search for all occurrences

QPixmap sourcePixmap | ( | Qt::CoordinateSystem | system = `Qt::LogicalCoordinates`,
|  | QPoint * | offset = `0`,
|  | PixmapPadMode | mode = `PadToEffectiveBoundingRect`
| ) |  | const `[protected]`

Search for all occurrences

QGraphicsEffectSource* source | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QGraphicsItem `[friend]`

Search for all occurrences

Definition at line 117 of file qgraphicseffect.h.

friend class QGraphicsItemPrivate `[friend]`

Search for all occurrences

Definition at line 118 of file qgraphicseffect.h.

friend class QGraphicsScenePrivate `[friend]`

Search for all occurrences

Definition at line 119 of file qgraphicseffect.h.

friend class QWidget `[friend]`

Search for all occurrences

Reimplemented from QObject.

Definition at line 120 of file qgraphicseffect.h.

friend class QWidgetPrivate `[friend]`

Search for all occurrences

Definition at line 121 of file qgraphicseffect.h.

## Property Documentation

bool enabled `[read, write]`

Search for all occurrences

Definition at line 70 of file qgraphicseffect.h.

The documentation for this class was generated from the following file:

- QtGui/qgraphicseffect.h

QGraphicsEffect QGraphicsEffect QGraphicsEffect QGraphicsEffect QGraphicsEffect QGraphicsEffect QGraphicsEffect QGraphicsEffect QGraphicsEffect QGraphicsEffect
QGraphicsEffect QGraphicsEffect QGraphicsEffect QGraphicsEffect QGraphicsEffect QGraphicsEffect QGraphicsEffect QGraphicsEffect QGraphicsEffect QGraphicsEffect